org.modeshape.jcr.query.engine

## Class ScanningQueryEngine.PropertyValueExtractor

- java.lang.Object
- - org.modeshape.jcr.query.engine.ScanningQueryEngine.PropertyValueExtractor

- All Implemented Interfaces:
    RowExtractors.ExtractFromRow
  Enclosing class:
    ScanningQueryEngine

      protected abstract static class ScanningQueryEngine.PropertyValueExtractor
      extends Object
      implements RowExtractors.ExtractFromRow

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ScanningQueryEngine.PropertyValueExtractor(String selectorName, String propertyName, TypeSystem.TypeFactory<?> typeFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TypeSystem.TypeFactory<?>` | `getType()` Get the type of value that this extrator will return from `RowExtractors.ExtractFromRow.getValueInRow(org.modeshape.jcr.query.NodeSequence.RowAccessor)`.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.modeshape.jcr.query.RowExtractors.ExtractFromRow

      `getValueInRow`

- - ### Constructor Detail

    - #### ScanningQueryEngine.PropertyValueExtractor

          protected ScanningQueryEngine.PropertyValueExtractor(String selectorName,
                                                    String propertyName,
                                                    TypeSystem.TypeFactory<?> typeFactory)

  - ### Method Detail

    - #### getType

          public TypeSystem.TypeFactory<?> getType()

      Description copied from interface: `RowExtractors.ExtractFromRow`
      Get the type of value that this extrator will return from `RowExtractors.ExtractFromRow.getValueInRow(org.modeshape.jcr.query.NodeSequence.RowAccessor)`.
      Specified by:
        `getType` in interface `RowExtractors.ExtractFromRow`
      Returns:
        the type; never null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.